/**
 * 异常捕获
 */
const ErrorCapture = {

  /**
   * 处理IMG异常
   * @param {Event} event
   */
  IMG ({ target }) {
    target.src = target.className.includes('avatar') ? '/logo.svg' : '/default.svg'
  }

}

/**
 * 捕获全局error事件
 */
document.addEventListener('error', (e) => ErrorCapture[e.target.tagName]?.(e), true)
